## splint 3.1.1

=== test/db1/Makefile ===
###
### Splint db1 test
###
### Taken from sample, second iteration: weakchecks
###

.SUFFIXES: .lcl .lcs .lh .h .c .o
.PHONY: check clean

### SHELL = /bin/csh -f

SPLINT = splint -booltype bool -booltrue TRUE -boolfalse FALSE
LCL = $(SPLINT) -specundef +lh +quiet -nof
SPLINTLH = $(SPLINT) +lh
LCSFILES = bool.lcs dbase.lcs employee.lcs empset.lcs erc.lcs eref.lcs ereftab.lcs 

MODULES = bool.lcl employee eref empset ereftab erc dbase drive.c
OBJS = dbase.o employee.o empset.o erc.o eref.o ereftab.o 

test: 
	$(MAKE) -e clean
	$(MAKE) -e check

###
### Removed +showscan, produces different results on different platforms
###

### evans 2002-12-17: 2 fewer weak errors because of -abstractcompare default in weak

check: $(LCSFILES)
	-$(SPLINT) -showcol -weak $(MODULES) -expect 19
	-$(SPLINT) -showcol +strict -modfilesystem +showsummary $(MODULES) -expect 338

# evans 2002-07-09: 5 bufferoverflowhigh warnings for using sprintf

### The following rules generate .lh and .lcs files from .lcl files.  They also
### ensure that .h files appear to be updated whenever the corresponding .lh
### file is updated.

.lcl.lh:
	$(LCL) $*.lcl

.lcl.lcs:
	$(LCL) $*.lcl

.lh.h:
	touch $*.h

.c.o:
	$(GCC) -c $*.c 

###
### Clean removes junk and all derived files.
### Tidy removes junk and object and executable files.
###

clean: tidy
	-@rm -f *.c.html *.lcl.html *.h.html *.lh.html *.lcs *.lh 1> /dev/null

tidy:
	-@rm -f ,* .,* *.CKP *.BAK .emacs_[0-9]* core a.out *.*~ *~ *.o drive 11> /dev/null

### The following dependencies ensure that imported LCL specs 
### are checked before the specs that import them.

dbase.lcs:   employee.lcs empset.lcs 
empset.lcs:  employee.lcs
erc.lcs:     eref.lcs
eref.lcl:    employee.lcs
ereftab.lcs: employee.lcs eref.lcs

### The following dependencies ensure that a .o file is recompiled when the
### corresponding .c file, or one of the .h files it #includes, is changed.

dbase.o:    dbase.c bool.h dbase.h employee.h empset.h
drive.o:    drive.c bool.h dbase.h employee.h empset.h erc.h eref.h ereftab.h 
employee.o: employee.c employee.h 
empset.o:   empset.c bool.h empset.h erc.h eref.h employee.h employee.h 
erc.o:      erc.c bool.h erc.h eref.h employee.h 
eref.o:     eref.c eref.h employee.h 
ereftab.o:  ereftab.c bool.h ereftab.h erc.h eref.h employee.h

=== test/db3/Makefile ===
###
### Splint db3 test
###
### Taken from sample, thirteenth iteration: strictlib
###

.SUFFIXES: .lcl .lcs .lh .h .c .o
.PHONY: check clean

### SHELL = /bin/csh -f

SPLINT = splint
SPLINTF = $(SPLINT) -f ./.splintrc
LCL = $(SPLINTF) -specundef +lh +quiet -nof
SPLINTLH = $(SPLINTF) +lh 
LCSFILES = dbase.lcs employee.lcs empset.lcs erc.lcs eref.lcs ereftab.lcs bool.lcs check.lcs
MODULES = employee eref empset ereftab erc dbase drive.c bool.lcl check.lcl
OBJS = dbase.o employee.o empset.o erc.o eref.o ereftab.o 

test: 
	@$(MAKE) -e check

### Note there is a .splint file used for checking!

check: $(LCSFILES)
	-$(SPLINTF) -showcol $(MODULES) +strict -modfilesystem +showsummary -exportconstant -exportlocal -protoparamprefix p_ -expect 5
	-$(SPLINTF) -showcol $(MODULES) +strict -modfilesystem +showsummary -exportconstant -exportlocal -protoparamprefix p_ +strictlib -expect 82

# evans 2002-07-09: 5 new sprintf warnings


### The following rules generate .lh and .lcs files from .lcl files.  They also
### ensure that .h files appear to be updated whenever the corresponding .lh
### file is updated.

.lcl.lh:
	$(LCL) $*.lcl

.lcl.lcs:
	$(LCL) $*.lcl

.lh.h:
	touch $*.h

.c.o:
	$(GCC) -c $*.c 

###
### Clean removes junk and all derived files.
### Tidy removes junk and object and executable files.
###

clean: tidy
	-@rm -f *.c.html *.lcl.html *.h.html *.lh.html *.lcs *.lh >& /dev/null

tidy:
	-@rm -f ,* .,* *.CKP *.BAK .emacs_[0-9]* core a.out *.*~ *~ *.o drive >& /dev/null

### The following dependencies ensure that imported LCL specs 
### are checked before the specs that import them.

dbase.lcs:   employee.lcs empset.lcs 
empset.lcs:  employee.lcs
erc.lcs:     eref.lcs
eref.lcl:    employee.lcs
ereftab.lcs: employee.lcs eref.lcs

### The following dependencies ensure that a .o file is recompiled when the
### corresponding .c file, or one of the .h files it #includes, is changed.

dbase.o:    dbase.c bool.h dbase.h employee.h empset.h
drive.o:    drive.c bool.h dbase.h employee.h empset.h erc.h eref.h ereftab.h 
employee.o: employee.c employee.h 
empset.o:   empset.c bool.h empset.h erc.h eref.h employee.h employee.h 
erc.o:      erc.c bool.h erc.h eref.h employee.h 
eref.o:     eref.c eref.h employee.h 
ereftab.o:  ereftab.c bool.h ereftab.h erc.h eref.h employee.h

=== test/for/Makefile ===
.PHONY: check

SPLINT = splint -exportlocal
 
check:
	$(SPLINT) +bounds for.c -expect 1

=== test/mergestate/Makefile ===
.PHONY: tainted 

SPLINT = splint

all: tainted 

tainted:
	${SPLINT} -mts taintednm taintednm.c -mustfree -exportlocal -expect 2
	${SPLINT} -mts tainted taintednm.c -mustfree -exportlocal -expect 4

## splint 3.1.2%2Bdfsg

=== test/fileio/Makefile ===
.PHONY: filerw fileopen

SPLINT = splint

all: filerw fileopen filebranch

filerw:
	${SPLINT} -mts file -mts filerw filerw.c -expect 3

fileopen:
	${SPLINT} -mts file -mts filerw file.c -expect 3

filebranch:
	${SPLINT} -mts file filebranch.c

=== test/moreBufferTests2/Makefile ===
.PHONY: check

#SPLINT = splint
 
check:
	$(SPLINT) -exportlocal +bounds unknownsize.c arrayConstExpr.c -expect 1
	$(SPLINT) -exportlocal +bounds fixedArrayType.c -expect 1
	$(SPLINT) -exportlocal +bounds initBlock.c -expect 1

## splint 3.1.2+dfsg

=== test/db1/Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 
 check: $(LCSFILES)
 	-$(SPLINT) -showcol -weak $(MODULES) -expect 19
-	-$(SPLINT) -showcol +strict -modfilesystem +showsummary $(MODULES) -expect 338
+	-$(SPLINT) -showcol +strict -bounds -modfilesystem +showsummary $(MODULES) -expect 338
 
 # evans 2002-07-09: 5 bufferoverflowhigh warnings for using sprintf

=== test/globalbufferannotation/Makefile ===
.PHONY: check

SPLINT = splint -exportlocal
 
check:
	$(SPLINT) +bounds globalvariable.c

=== test/manual/Makefile ===
###
### This Makefile produces the figures included in the Splint Manual.
###

.SUFFIXES: .out .expect .c .lcl .h .lh .diff
.PHONY: clean

SPLINT = splint
SPLINTFLAGS = -warnflags -nof -linelen 55 -hints -showcol -booltype bool -showfunc -exportlocal -exportheader

RUNTOHTML = cat
# /u/evs/lclint/scripts/runtohtmls
GENHTML = /u/evs/lclint/scripts/genhtmls
CTOHTML = /u/evs/bin/ctohtmlplain
BASEDIR = /u/evs/perl/basedir
MAKERUNNER = /u/evs/lclint/scripts/makerunner

### SHELL = /bin/csh 

DIFF = diff

all: sample null mstring usedef bool palindrome only stack rstring unique \
     exposure modify globals annotglobs clauses order loop switch noeffect \
     ignore setChar multiError bounds

### In line example
.PHONY: sample
sample: sample.c
	$(SPLINT) $(SPLINTFLAGS) sample.c -expect 2

### Figure 2:
.PHONY: null
null: null.c
	$(SPLINT) $(SPLINTFLAGS) null.c -expect 1

### Figure 3:
.PHONY: mstring
mstring: mstring.c
	$(SPLINT) $(SPLINTFLAGS) mstring.c -expect 0

### Figure 4:
.PHONY: usedef
usedef: usedef.c
	$(SPLINT) $(SPLINTFLAGS) usedef.c -expect 3
	$(SPLINT) $(SPLINTFLAGS) usedef.c +impouts -expect 2

### Figure 5:
.PHONY: bool
bool: bool.c bool.h
	$(SPLINT) $(SPLINTFLAGS) bool.c +predboolptr -booltype bool -linelen 70 -expect 7

### Figure 6:
.PHONY: palindrome
palindrome: palindrome.c mstring.h bool.h
	$(SPLINT) $(SPLINTFLAGS) palindrome.c -expect 4 -linelen 45

### Figure 7:
.PHONY: only
only: only.c
	$(SPLINT) $(SPLINTFLAGS) only.c -expect 6

### Figure 8:
.PHONY: stack
stack: stack.c
	$(SPLINT) $(SPLINTFLAGS) stack.c -expect 3

### Figure 9:
### no code

### Figure 10:
.PHONY: rstring
rstring: rstring.c
	$(SPLINT) $(SPLINTFLAGS) rstring.c -expect 1

### Figure 11:
.PHONY: unique
unique: unique.c
	$(SPLINT) $(SPLINTFLAGS) unique.c -expect 1

### Figure 12:
.PHONY: returned
returned: returned.c
	$(SPLINT) $(SPLINTFLAGS) returned.c -expect 1

### Figure 13:
.PHONY: exposure
exposure: exposure.c
	$(SPLINT) $(SPLINTFLAGS) exposure.c -expect 4 +checks -exportlocal -exportheader  -linelen 50

### Figure 14:
.PHONY: modify
modify: modify.c
	$(SPLINT) +checks $(SPLINTFLAGS) modify.c -expect 2

### Figure 15:
.PHONY: globals
globals: globals.c
	$(SPLINT) +checks $(SPLINTFLAGS) globals.c -expect 2

### Figure 16:
.PHONY: annotglobals
annotglobs: annotglobs.c
	$(SPLINT) $(SPLINTFLAGS) annotglobs.c -expect 3 

### Figure 17:
.PHONY: clauses
clauses: clauses.c
	$(SPLINT) $(SPLINTFLAGS) clauses.c -expect 0

### Figure 18:
.PHONY: order
order: order.c
	$(SPLINT) $(SPLINTFLAGS) order.c +evalorderuncon -expect 4 -linelen 60
	$(SPLINT) $(SPLINTFLAGS) order.c -expect 3

### Figure 19:
.PHONY: loop
loop: loop.c
	$(SPLINT) $(SPLINTFLAGS) loop.c +infloopsuncon -expect 2
	$(SPLINT) $(SPLINTFLAGS) loop.c -expect 1

### Figure 20:
.PHONY: switch
switch: switch.c
	$(SPLINT) $(SPLINTFLAGS) switch.c -expect 2

### Figure 21:
.PHONY: noeffect
noeffect: noeffect.c
	$(SPLINT) $(SPLINTFLAGS) noeffect.c +noeffectuncon -expect 3
	$(SPLINT) $(SPLINTFLAGS) noeffect.c -expect 2

### Figure 22:
.PHONY: ignore
ignore: ignore.c
	$(SPLINT) $(SPLINTFLAGS) bool.h ignore.c -expect 2
	$(SPLINT) $(SPLINTFLAGS) bool.h ignore.c -retvalbool -expect 1
	$(SPLINT) $(SPLINTFLAGS) bool.h ignore.c -retvalint -expect 1

### Figure 23:
.PHONY: Anames
names: names.c
	$(SPLINT) $(SPLINTFLAGS) names.c +distinctinternalnames +internalnamelookalike +isoreserved -expect 3

### Figure ???:

.PHONY: setChar
setChar: setChar.c
	$(SPLINT) $(SPLINTFLAGS) setChar.c +bounds -exportlocal +showconstraintlocation -expect 1


.PHONY: multiError
multiError: multiError.c
	$(SPLINT) $(SPLINTFLAGS) multiError.c +bounds -exportlocal +showconstraintlocation -expect 1


.PHONY: bounds
bounds: bounds.c
	$(SPLINT) $(SPLINTFLAGS) bounds.c +bounds -exportlocal +showconstraintlocation -expect 1 -linelen 50

clean: 
	-rm -f core a.out *.*~

=== test/maxset/Makefile ===
.PHONY: check

SPLINT = splint -exportlocal
 
check:
	$(SPLINT) +boundswrite maxsetannotations.c
	$(SPLINT) +boundswrite maxsetnoannotations.c -expect 1

=== test/metastate/Makefile ===
.PHONY: tainted file

SPLINT = splint

all: file sockets struct nullbranch osd

file:
	${SPLINT} -mts file file1.c -expect 4
	${SPLINT} -mts file file2.c -varuse -fcnuse -expect 2
	${SPLINT} -mts file file3.c -varuse -fcnuse -expect 2
	${SPLINT} -mts file file4.c -varuse -fcnuse -exportlocal -expect 1 
	${SPLINT} -mts file file5.c -varuse -fcnuse -exportlocal -expect 4
	${SPLINT} -mts file file6.c -varuse -fcnuse -exportlocal -expect 2
	${SPLINT} -mts file filebad.c -expect 3

sockets:
	${SPLINT} sockets.mts sockets.c -expect 3
	${SPLINT} sockets.mts sockets2.c -expect 2

struct:
	${SPLINT} -mts file struct.c -expect 1

nullbranch:
	${SPLINT} -mts file nullbranch.c -expect 2

osd:
	${SPLINT} -mts file osd.c -expect 2

=== test/moreBufferTests/Makefile ===
.PHONY: check

SPLINT = splint
 
check:
	$(SPLINT) -exportlocal +bounds unrecogCall.c strrchr.c initialization.c simplifyTest.c strncatNotReallyGood.c strncatReallyGood.c -expect 8

=== test/tainted/Makefile ===
.PHONY: tainted 

SPLINT = splint

all: tainted 

tainted:
	-${SPLINT} -mts tainted tainted.c -mustfree -exportlocal -expect 4
	-${SPLINT} tainted-bad.mts tainted.xh tainted.c -mustfree -exportlocal -expect 9
	-${SPLINT} -mts tainted tainted2.c -mustfree -exportlocal -expect 1
	-${SPLINT} -mts tainted tainted3.c -mustfree -exportlocal -expect 1
	-${SPLINT} -mts tainted tainted4.c -mustfree -exportlocal -expect 1
	-${SPLINT} -mts tainted tainted5.c -mustfree -exportlocal
	-${SPLINT} -mts tainted taintedmerge.c -mustfree -exportlocal -expect 3
	-${SPLINT} -mts tainted taintedimplicit.c -mustfree -exportlocal -expect 1
	-${SPLINT} -mts tainted sprintf.c -expect 5
	
# evans 2002-07-09: 3 more warnings for sprintf because of sprintf

=== test/temp/Makefile ===
all:
	gcc prg.c a.c b.c

lint:
	lclint prg.c  a.c b.c

=== test/tests2.2/Makefile ===
.PHONY: boolops bool boolenum break bstring decl enumbool extension modarray nestext offestof sizeofarray rex struct

SPLINT = splint

all: boolops bool boolenum break bstring decl enumbool extension modarray nestext offestof sizeofarray rex struct

boolops:
	-$(SPLINT) boolops.c -expect 1

bool:
	-$(SPLINT) bool.lcl booldef.c -expect 1

boolenum:
	-$(SPLINT) boolenum.c -booltype BOOLEAN -booltrue TRUE -boolfalse FALSE -expect 1 

break:
	-$(SPLINT) break.c -expect 1

bstring:
	-$(SPLINT) bstring.c -expect 2 

decl:
	-$(SPLINT) decl.c -expect 1 

enumbool:
	-$(SPLINT) enumbool.c -booltrue true -boolfalse false 
	-$(SPLINT) enumbool.c -booltrue TRUE -boolfalse FALSE -expect 2 

extension:
	-$(SPLINT) extension.c
	-$(SPLINT) -gnuextensions extension.c 

modarray:
	-$(SPLINT) modarray.c

nestext:
	-$(SPLINT) nestext.c -expect 1

offsetof:
	-$(SPLINT) offsetof.c

sizeofarray:
	-$(SPLINT) sizeofarray.c -expect 3 

rex:
	-$(SPLINT) rex.c -expect 4
### 3 new errors reported

struct:
	-$(SPLINT) struct.c -expect 1

=== test/tests2.4/Makefile ===
.PHONY: emptycase enumtest duffs bitfields bugs tests hexconstants innercomment nothing offsetof komazi print syslog error ulrich cpptest longlong subdir fink driverstub alignof source emptycase enumtest duffs bitfields bugs tests hexconstants innercomment nothing offsetof komazi print syslog error ulrich cpptest longlong subdir fink driverstub alignof source

SPLINT = splint

all: check

check: emptycase enumtest duffs bitfields bugs tests hexconstants innercomment nothing offsetof komazi print syslog error ulrich cpptest longlong subdir fink driverstub alignof source 

emptycase:
	$(SPLINT) emptycase.c 

enumtest:
	$(SPLINT) enumtest.c -expect 2

duffs:
	$(SPLINT) duffs.c -expect 7

bitfields:
	$(SPLINT) bitfields.c

bugs:
	$(SPLINT) bug1.c 
	$(SPLINT) bug2.c -expect 5 
	$(SPLINT) bug3.c -expect 3

tests:
	$(SPLINT) test0.c 
	$(SPLINT) test1.c 
	$(SPLINT) test2.c 

hexconstants:
	$(SPLINT) hexconstants.c -expect 1 
	$(SPLINT) +checks hexconstants.c -expect 4

innercomment:
	$(SPLINT) innercomment.c -expect 2 +forcehints 
	$(SPLINT) innercomment.c -nestcomment

nothing:
	$(SPLINT) nothing.c 

offsetof:
	$(SPLINT) offsetof.c -expect 2 

komazi:
	$(SPLINT) komazi.c 

print:
	$(SPLINT) print.c 

syslog:
	$(SPLINT) syslog.c +unixlib 

error:
	$(SPLINT) error.c -expect 1 

ulrich:
	$(SPLINT) ulrich.c -expect 1

cpptest:
	$(SPLINT) cpptest.c '-D__P(x)=x' -expect 1

longlong:
	$(SPLINT) longlong.c -expect 4

subdir:
	$(SPLINT) subdir/main.c subdir/main.lcl

fink:
	$(SPLINT) fink.c 

driverstub:
	$(SPLINT) driverstub.c -sysdirs "/usr/"

alignof:
	$(SPLINT) alignof.c -expect 2

source:
	$(SPLINT) -D DBL_MANT_DIG=25 source.c -expect 1

=== test/warnuse/Makefile ===
.PHONY: warnuse

SPLINT = splint

all: warnuse warngets

warnuse:
	${SPLINT} warnuse.c -expect 4
	${SPLINT} warnuse.c -warnuse -expect 1
	${SPLINT} warnuse.c -warnuse +bufferoverflow -expect 1
	${SPLINT} warnuse.c -bufferoverflow -expect 2

warngets:
	${SPLINT} warngets.c -expect 1

=== debian/changelog ===
splint (1:3.1.2+dfsg-5) unstable; urgency=medium

  * QA upload.
  * Workaround binary-all FTBFS by reverting the splint-data.install
    change and going back to debhelper compat 12. (Closes: #983028)

 -- Adrian Bunk <bunk@debian.org>  Sun, 21 Feb 2021 07:38:34 +0200

splint (1:3.1.2+dfsg-4) unstable; urgency=medium

  * QA upload.
  * The build will not fail with autoconf 2.71. (Closes: #978903)
  * debian/control: Add back Vcs-* fields with Debian GitLab repo.
  * debian/control: Bump Standards-Version to 4.5.1.
  * debian/control: Bump debhelper compat to v13.
  * debian/splint-data.install: Make grammar compatible with dh13.
  * debian/splint.manpages: Let dh_install install of dh_installman
    handle manpage installation.

 -- Boyuan Yang <byang@debian.org>  Tue, 16 Feb 2021 20:17:07 -0500

splint (1:3.1.2+dfsg-3) unstable; urgency=medium

  * No-change sourceful upload. (Closes: #974872)

 -- Chris Lamb <lamby@debian.org>  Mon, 16 Nov 2020 18:27:00 +0000

splint (1:3.1.2+dfsg-2) unstable; urgency=medium

  * QA upload.
  * Make the build reproducible. (Closes: #924003)
  * Bump Standards-Version to 4.5.0.
  * Drop misleading Vcs-* headers.
  * Move various HTTP URIs to HTTPS.
  * Drop get-orig-source target.

 -- Chris Lamb <lamby@debian.org>  Thu, 17 Sep 2020 10:50:33 +0100

splint (1:3.1.2+dfsg-1) unstable; urgency=medium

  * QA upload.
  * Fix VCS URLs in debian/control file.
  * Increment Debhelper compatibility level to 10.
  * Suppress Lintian warning: debian-watch-may-check-gpg-signature.
  * Remove obsolete file: debian/README.source.
  * Build with all hardening flags set.
  * debian/control: Fix splint-data's relationship to previous versions.
  * Convert patch headers to DEP-3 format compatible with gbp.
  * Update autoconf patches to work only on files not automatically generated.
  * Do not automatically un-apply patches so that clean is done properly.
  * Fix clean up rule in test/db3/Makefile.
  * Perform wrap and sort on all Debian control files.
  * Fix spelling mistakes in source and documentation.
  * Fix possible privacy breach issues in documentation.
  * Fix autoconf and automake warnings.
  * Force non-parallel builds, since parallel builds don't complete
    reliably.
  * Do not capture build path, host name or user name to make
    builds fully reproducible.
  * Convert debian/copyright file to DEP-5 format and update.
  * Update rules for creating DFSG upstream tarballs.
    This is so that we can correct the package's versioning, by
    replacing the appended .dfsg* with +dfsg* instead. The image file,
    doc/html/glowingwall-narrows.jpg, has also been included for the
    documentation package, and XZ compression is now used.
  * Remove superfluous duplication of tests.
  * Try to separate arch-specific and -independent rules.
  * Add doc-base registration for HTML documentation.
    In addition, standardise file extensions of all HTML files, and
    provide convenience links to them from the main package. (Closes: #548122)
  * Fix segmentation fault. (Closes: #775917)
  * Cherry-pick unreleased fix for parsing unary plus. (Closes: #462375)
  * Cherry-pick unreleased fix for "hh" printf modifier support.
    (Closes: #510821)
  * Cherry-pick unreleased upstream fix in order to handle C99-style
    mixing of statements and declarations. (Closes: #369264)
  * Update 03_359894_VA_ARGS.patch to the one applied upstream.
    The patch applied upstream also adds a check for +gnuextensions.
  * Cherry-pick other relevant unreleased upstream changes,
    so that we're fully up-to-date with "CVS" upstream.
  * Backup and restore mutable files for idempotent builds.
  * Add multiarch include path to standard include search paths.
    (Closes: #675025)
  * Fix names of timespec members. (Closes: #680121)
  * Fix Internal Bug at cscannerHelp.c:2428.
    (Closes: #473595, #476228, #498345, #548768, #569928, #601424)
  * debian/control: Fix splint-doc-html's relationship to prior versions
    of splint.
  * For build reproducibility, move *.lcd files to the main package
    as they contain architecture-specific information.
  * Move man page to main package to avoid Lintian warnings when
    building architecture-specific package alone.
  * Add LFS support to 32-bit architectures.
  * Indicate compliance with Debian Policy 4.1.0.

 -- Carlos Maddela <e7appew@gmail.com>  Tue, 05 Sep 2017 16:29:16 +1000

splint (3.1.2.dfsg1-4) unstable; urgency=medium

  * QA upload.
  * Add libfl-dev to Build-Depends. (Closes: #846448)
  * Mark split-{data,doc-html} Multi-Arch: foreign.

 -- Helmut Grohne <helmut@subdivi.de>  Thu, 01 Dec 2016 14:19:06 +0100

splint (3.1.2.dfsg1-3) unstable; urgency=medium

  * Orphan the package since the maintainer is MIA.
  * Switch to a git packaging repository (instead of SVN).
  * Simplify debian/rules by using "dh". Thus indirectly
    implement the build-arch/build-indep target. Closes: #822024
  * Clean up dependencies.
  * Switch to 3.0 (quilt) source format and update patches accordingly.
  * Add Chris Lamb's patch to make the build reproducible. Closes: #797254
  * Update some patches to work on configure.ac and not only configure.
  * Update 05_html_docs_css.patch to drop sourceforge logo link too.
  * Update Standards-Version to 3.9.8.

 -- Raphaël Hertzog <hertzog@debian.org>  Tue, 30 Aug 2016 15:09:09 +0200

splint (3.1.2.dfsg1-2) unstable; urgency=low

  * Add README.source to be compliant with policy 3.8.0
  * Update Maintainer to official Debian ID
  * Remove DM-Upload-Allowed: yes
  * Update to debian/compat 6 and use dh_lintian instead of dh_installing
    override files.

 -- Y Giridhar Appaji Nag <appaji@debian.org>  Tue, 17 Feb 2009 20:56:18 +0530

splint (3.1.2.dfsg1-1) unstable; urgency=low

  * Add missing-image-files in the manual to orig tarball via get-orig-source
  * Update Standards-Version to 3.8.0, no changes required.
  * Patch 05_html_docs_css to remove google trackers in docs and to adjust CSS


=== debian/control ===
Source: splint
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 12), libfl-dev
Build-Conflicts: bison, bison++
Standards-Version: 4.5.1
Homepage: http://www.splint.org/
Vcs-Git: https://salsa.debian.org/debian/splint.git
Vcs-Browser: https://salsa.debian.org/debian/splint

Package: splint
Architecture: any
Multi-Arch: foreign
Depends: splint-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
Suggests: splint-doc-html
Breaks: splint-data (<< 1:3.1.2+dfsg-1)
Replaces: splint-data (<< 1:3.1.2+dfsg-1)
Description: tool for statically checking C programs for bugs
 splint is an annotation-assisted lightweight static checker.  It is a tool for
 statically checking C programs for security vulnerabilities and coding
 mistakes.  If additional effort is invested in adding annotations to programs,
 splint can perform stronger checking.
 .
 splint does many of the traditional lint checks including unused declarations,
 type inconsistencies, use before definition, unreachable code, ignored return
 values, execution paths with no return, likely infinite loops, and fall
 through cases.  Problems detected by Splint include:
 .
  * Dereferencing a possibly null pointer
  * Using or returning storage that is undefined or not properly defined
  * Type mismatches, with greater precision and flexibility than by C compilers
  * Memory management errors like use of dangling references and memory leaks
  * Inconsistent (with specified interface) global variable modification or use
  * Problematic control flow such as likely infinite loops etc.
  * Buffer overflow vulnerabilities
  * Dangerous macro implementations or invocations
  * Violations of customized naming conventions

Package: splint-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: splint (<< 3.1.2.dfsg-1)
Replaces: splint (<< 3.1.2.dfsg-1)
Description: tool for statically checking C programs for bugs - data files
 splint is an annotation-assisted lightweight static checker.  It is a tool for
 statically checking C programs for security vulnerabilities and coding
 mistakes.  If additional effort is invested in adding annotations to programs,
 splint can perform stronger checking.
 .
 splint does many of the traditional lint checks including unused declarations,
 type inconsistencies, use before definition, unreachable code, ignored return
 values, execution paths with no return, likely infinite loops, and fall
 through cases.  Problems detected by Splint include:
 .
  * Dereferencing a possibly null pointer
  * Using or returning storage that is undefined or not properly defined
  * Type mismatches, with greater precision and flexibility than by C compilers
  * Memory management errors like use of dangling references and memory leaks
  * Inconsistent (with specified interface) global variable modification or use
  * Problematic control flow such as likely infinite loops etc.
  * Buffer overflow vulnerabilities
  * Dangerous macro implementations or invocations
  * Violations of customized naming conventions
 .
 This package contains the data files that are necessary to use splint.

Package: splint-doc-html
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: splint
Breaks: splint (<< 1:3.1.2+dfsg-1)
Conflicts: splint-doc
Replaces: splint (<< 1:3.1.2+dfsg-1), splint-doc
Description: tool for statically checking C programs for bugs - HTML documentation
 splint is an annotation-assisted lightweight static checker.  It is a tool for
 statically checking C programs for security vulnerabilities and coding
 mistakes.  If additional effort is invested in adding annotations to programs,
 splint can perform stronger checking.
 .
 splint does many of the traditional lint checks including unused declarations,
 type inconsistencies, use before definition, unreachable code, ignored return
 values, execution paths with no return, likely infinite loops, and fall
 through cases.  Problems detected by Splint include:
 .
  * Dereferencing a possibly null pointer
  * Using or returning storage that is undefined or not properly defined
  * Type mismatches, with greater precision and flexibility than by C compilers
  * Memory management errors like use of dangling references and memory leaks
  * Inconsistent (with specified interface) global variable modification or use
  * Problematic control flow such as likely infinite loops etc.
  * Buffer overflow vulnerabilities
  * Dangerous macro implementations or invocations
  * Violations of customized naming conventions
 .
 This package contains the manual (HTML documentation) for splint.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Compile with LFS support.
export DEB_CPPFLAGS_MAINT_APPEND = \
	$(if $(filter $(DEB_HOST_ARCH_BITS),32),-D_FILE_OFFSET_BITS=64)

# Set these variables for the test suite.
export LARCH_PATH := .:$(CURDIR)/lib
export LCLIMPORTDIR := .:$(CURDIR)/imports

MUTABLE_FILES := aclocal.m4 bin/Makefile.in config/depcomp config.hin \
	config/install-sh config/missing config/mkinstalldirs configure \
	doc/Makefile.in imports/Makefile.in lib/Makefile.in lib/posix.lcd \
	lib/posixstrict.lcd lib/standard.lcd lib/standardstrict.lcd \
	lib/unix.lcd lib/unixstrict.lcd Makefile.in src/cgrammar.c \
	src/llgrammar.c src/Makefile.in src/signature.c test/Makefile.in

# Force non-parallel builds, as splint
# sometimes fails to build in parallel.
%:
	dh $@ --no-parallel

override_dh_update_autotools_config:
	dh_update_autotools_config
	for f in $(MUTABLE_FILES); do \
		cp -an $$f $$f.orig; \
	done

override_dh_clean:
	dh_clean -X.orig
	for f in $(MUTABLE_FILES); do \
		test ! -f $$f.orig || mv -f $$f.orig $$f; \
	done

override_dh_auto_configure-arch:
	dh_auto_configure -a

override_dh_auto_configure-indep:

override_dh_auto_build-indep:

override_dh_auto_test-arch:
	dh_auto_test -a -- -C test

override_dh_auto_test-indep:

override_dh_auto_install-indep:

override_dh_install:
	dh_install -psplint-data -X.lcd -XMakefile
	dh_install --remaining-packages

override_dh_installdocs-indep:
	dh_installdocs -i
	( cd debian/splint-doc-html/usr/share/doc/splint-doc-html/html; \
		mv manual.htm manual.html; mv realloc.htm realloc.html )

override_dh_installchangelogs:
	dh_installchangelogs doc/changes.html

=== debian/watch ===
version=3

opts=dversionmangle=s/[.+]dfsg.*$// https://www.splint.org/downloads/splint-(.*)\.src\.tgz debian debian/repack.sh

## splint 3.1.2.dfsg1

=== test/conditions/Makefile ===
.PHONY: releases

LCLINT = lclint

all: releases

releases:
	${LCLINT} miroslaw.c -expect 1
	${LCLINT} releases.c

=== test/db3/Makefile ===
--- 
+++ 
@@ -23,8 +23,8 @@
 ### Note there is a .splint file used for checking!
 
 check: $(LCSFILES)
-	-$(SPLINTF) -showcol $(MODULES) +strict -modfilesystem +showsummary -exportconstant -exportlocal -protoparamprefix p_ -expect 5
-	-$(SPLINTF) -showcol $(MODULES) +strict -modfilesystem +showsummary -exportconstant -exportlocal -protoparamprefix p_ +strictlib -expect 82
+	-$(SPLINTF) -showcol $(MODULES) +strict -bounds -modfilesystem +showsummary -exportconstant -exportlocal -protoparamprefix p_ -expect 5
+	-$(SPLINTF) -showcol $(MODULES) +strict -bounds -modfilesystem +showsummary -exportconstant -exportlocal -protoparamprefix p_ +strictlib -expect 82
 
 # evans 2002-07-09: 5 new sprintf warnings

=== test/simplebufferConstraintTests/Makefile ===
.PHONY: check

SPLINT = splint -exportlocal
 
check:
	$(SPLINT) +bounds m.c sizeof.c test3.c test7.c -expect 7

=== test/sizeoftest/Makefile ===
.PHONY: check

SPLINT = splint -exportlocal
 
check:
	$(SPLINT) +bounds sizeof.c sizeofConst.c -expect 1

=== test/strchr/Makefile ===
.PHONY: check

SPLINT = splint -exportlocal
 
check:
	$(SPLINT) +bounds strchr.c -expect 2

=== debian/control ===
--- 
+++ 
@@ -2,20 +2,17 @@
 Section: devel
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper-compat (= 12), libfl-dev
+Build-Depends: debhelper (>= 9), dh-autoreconf, flex, libfl-dev
 Build-Conflicts: bison, bison++
-Standards-Version: 4.5.1
+Standards-Version: 3.9.8
 Homepage: http://www.splint.org/
-Vcs-Git: https://salsa.debian.org/debian/splint.git
-Vcs-Browser: https://salsa.debian.org/debian/splint
+Vcs-Svn: https://anonscm.debian.org/git/splint.git
+Vcs-Browser: https://anonscm.debian.org/cgit/splint.git
 
 Package: splint
 Architecture: any
-Multi-Arch: foreign
-Depends: splint-data (= ${source:Version}), ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, splint-data (= ${source:Version})
 Suggests: splint-doc-html
-Breaks: splint-data (<< 1:3.1.2+dfsg-1)
-Replaces: splint-data (<< 1:3.1.2+dfsg-1)
 Description: tool for statically checking C programs for bugs
  splint is an annotation-assisted lightweight static checker.  It is a tool for
  statically checking C programs for security vulnerabilities and coding
@@ -41,7 +38,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
-Breaks: splint (<< 3.1.2.dfsg-1)
+Conflicts: splint (<< 3.1.2.dfsg-1)
 Replaces: splint (<< 3.1.2.dfsg-1)
 Description: tool for statically checking C programs for bugs - data files
  splint is an annotation-assisted lightweight static checker.  It is a tool for
@@ -72,9 +69,8 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends}
 Suggests: splint
-Breaks: splint (<< 1:3.1.2+dfsg-1)
 Conflicts: splint-doc
-Replaces: splint (<< 1:3.1.2+dfsg-1), splint-doc
+Replaces: splint-doc
 Description: tool for statically checking C programs for bugs - HTML documentation
  splint is an annotation-assisted lightweight static checker.  It is a tool for
  statically checking C programs for security vulnerabilities and coding

=== debian/rules ===
#!/usr/bin/make -f

PKG_NAME=splint
PKG_VERS=3.1.2
DFSG_VERS=dfsg1
UPSTR_SITE=http://www.$(PKG_NAME).org
UPSTR_DIR=$(PKG_NAME)-$(PKG_VERS)
UPSTR_FILE=$(UPSTR_DIR).src.tgz
DFSG_ORIG_DIR=$(UPSTR_DIR).$(DFSG_VERS)
DFSG_ORIG_TAR=$(PKG_NAME)_$(PKG_VERS).$(DFSG_VERS).orig.tar

%:
	dh $@ --with autoreconf

override_dh_auto_install:
	$(MAKE) DESTDIR=$(CURDIR)/debian/splint-data install-data
	$(MAKE) DESTDIR=$(CURDIR)/debian/splint install-exec

override_dh_installchangelogs:
	dh_installchangelogs doc/changes.html

get-orig-source:
	wget -q $(UPSTR_SITE)/downloads/$(UPSTR_FILE)
	tar -zxf $(UPSTR_FILE)
	mv $(UPSTR_DIR) $(DFSG_ORIG_DIR)
	rm -f $(DFSG_ORIG_DIR)/doc/manual.pdf
	mv -f $(DFSG_ORIG_DIR)/doc/manual.css $(DFSG_ORIG_DIR)/doc/html/
	mkdir $(DFSG_ORIG_DIR)/doc/html/manual-301_files/
	wget -q $(UPSTR_SITE)/manual/manual-301_files/image001.jpg -O $(DFSG_ORIG_DIR)/doc/html/manual-301_files/image001.jpg
	wget -q $(UPSTR_SITE)/manual/manual-301_files/image002.gif -O $(DFSG_ORIG_DIR)/doc/html/manual-301_files/image002.gif
	wget -q $(UPSTR_SITE)/manual/manual-301_files/image003.gif -O $(DFSG_ORIG_DIR)/doc/html/manual-301_files/image003.gif
	wget -q $(UPSTR_SITE)/faq.html -O $(DFSG_ORIG_DIR)/doc/html/faq.html
	wget -q $(UPSTR_SITE)/changes.html -O $(DFSG_ORIG_DIR)/doc/changes.html
	wget -q $(UPSTR_SITE)/bugs.html -O $(DFSG_ORIG_DIR)/doc/bugs.html
	wget -q $(UPSTR_SITE)/splint.css -O $(DFSG_ORIG_DIR)/doc/html/splint.css
	tar -cf $(DFSG_ORIG_TAR) $(DFSG_ORIG_DIR)
	gzip --best $(DFSG_ORIG_TAR)
	rm -rf $(DFSG_ORIG_DIR) $(UPSTR_FILE)
	@echo "Re-packaged source file: $(DFSG_ORIG_TAR).gz"
	@ls -l $(DFSG_ORIG_TAR).gz

.PHONY: get-orig-source

=== debian/watch ===
version=3

opts=dversionmangle=s/\.dfsg$// http://www.splint.org/downloads/splint-(.*)\.src\.tgz
